package com.ruoyi.llm.service;

import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

public interface ISessionService {

    /**
     * 生成回答
     */
    SseEmitter answer(String topicId, String question);

    /**
     * 调用LLM+RAG（外部文件）生成回答
     */
    SseEmitter answerWithDocument(String topicId, String chatId, String question) throws Exception;

}
